#### [BREAKING] `undefined` and `null` are not passed to plugin's `print` function (#13397 by @fisker)

If your plugin happened to use `print` to print them, please check them in the parent node instead.

```diff
function print(path, print) {
-  const value = path.getValue();
-  if (!value?.type) {
-    return String(value);
-  }

-  return path.map(print, "values");

+  return path.map((childPath) => {
+    const value = childPath.getValue();
+    return value?.type ? print() : String(value);
+  }, "values");
}
```
